<template>
    <div>
        Home View
    </div>
    <div class="actions">
        <div>Actions:</div>
        <div><button @click="onCreate">Create new item</button></div>
        <div>
            <button @click="showFilt = !showFilt">Open filters</button>
            <div v-show="showFilt" id="hide">
                <FilterComp />
            </div>
        </div>
    </div>
    <div>
        <ItemsList />
    </div>
</template>

<script>
import ItemsList from '@/components/ItemsList.vue';
import FilterComp from '@/components/FilterComp.vue';

export default {
    name: 'HomeView',
    components: {
        ItemsList, FilterComp,
    },
    data() {
        return {
            showFilt: false
        }
    },
    methods: {
        onCreate() {
            this.$router.push({ name: 'config' })
        },
    },
}
</script>

<style lang="scss" scoped>
.actions {
    display: flex;
    flex-direction: row;
}

.actions div {
    margin-right: 1%;
}

.actions button {
    background: rgb(95, 127, 95);
    color: white;
}
</style>